Status: Closed   

Priority: Normal   

Assignee: Amos Benari   

Category: Templates   

Target version: 1.2.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I would like to have an interface to add repositories in a kickstart file where I could use a code snippet like:

<% @repos.each do |repo| >

repo --name=<= repo[:name] > --baseurl=<= repo[:baseurl] >

< end %>

The variable @repo would be an array of hashes, each describing a repository.

For example, to describe a yum repo, the following structure can be

returned:

[{ :baseurl => "https://dl.thesource.com/get/it/here",

:name => "awesome",

:description => "awesome product repo"",

:enabled => 1,

:gpgcheck => 1

}]

Associated revisions

Revision 6b27556a - 07/29/2013 03:40 AM - Amos Benari

fixes #2837 add an interface to add repositories to kickstart, cleanup similar methods

Revision 1ec0630f - 07/29/2013 04:14 AM - Dominic Cleal

fixes #2837 add an interface to add repositories to kickstart

(cherry picked from commit 6b27556aafbd98f3a0f0bb092fbbc49a6bb587e1, minus cleanups)

History

#1 - 07/25/2013 05:38 PM - Greg Sutcliffe

+1, this works equally well for debian repos:

[{ :baseurl => "http://apt.puppetlabs.com",

    :description => "puppet repo",

    :source => true,

    :gpgkey => "http://apt.puppetlabs.com/pubkey.gpg" 

}]

 
d-i apt-setup/local0/repository string \

  <%= repo[:baseurl] <%= @host.operatingsystem.release_name %> main

d-i apt-setup/local0/comment string repo[:description]

d-i apt-setup/local0/source boolean repo[:source]

d-i apt-setup/local0/key string repo[:gpgkey]

#2 - 07/29/2013 04:15 AM - Dominic Cleal

- Category set to Templates

- Status changed from New to Ready For Testing
- Assignee set to Amos Benari

- Target version set to 1.2.1

https://github.com/theforeman/foreman/pull/816

#3 - 07/29/2013 04:17 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 1ec0630f6753305b9ea0ba9d341606f2e70855bc.
